Bug 227101 - Review Request: plexus-container-default-1.0-0.a8.2jpp - Default Plexus Container
Review Request: plexus-container-default-1.0-0.a8.2jpp - Default Plexus Conta...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wringe
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:51 EST by Rafael H. Schloming
Modified: 2014-12-01 18:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 17:43:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nsantos: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:51:54 EST
Spec URL: http://people.redhat.com/rafaels/specs/plexus-container-default-1.0-0.a8.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-container-default-1.0-0.a8.2jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-container-default.
Comment 2 Nuno Santos 2007-02-16 11:28:51 EST
plexus-container-default-1.0-0.1.a10.1jpp.1.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK - use acronyms for licences where common
OK * specfile name matches %{name}
?? * verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
OK * skim the summary and description for typos, etc.
OK * correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK * if %{?dist} is used, it should be in that form (note the ? and %
locations)
NO * license text included in package and marked with %doc
OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
NO * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint plexus-container-default-1.0-0.1.a10.1jpp.1.src.rpm 
W: plexus-container-default invalid-license Apache Software License and MIT
--

OK * changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
 - this is largely subjective; use your judgement
?? * package successfully compiles and builds on at least x86
?? * BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
NO * make sure lines are <= 80 characters

--
line 6 in %install is too long
--

OK * specfile written in American English
NA  * make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
NO * use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS

--
...
%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/plexus
...
--

OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
OK * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
?? * verify the final provides and requires of the binary RPMs
?? * run rpmlint on the binary RPMs

SHOULD:
NO * package should include license text in the package and mark it with %doc
?? * package should build on i386
?? * package should build in mock
Comment 3 Nuno Santos 2007-02-16 11:40:28 EST
Review update:

OK * verify source and patches (md5sum matches upstream, know what the patches do)
Comment 4 Andrew Overholt 2007-02-16 11:50:10 EST
Updated spec and SRPM:

http://overholt.ca/fedora/plexus-container-default.spec
http://overholt.ca/fedora/plexus-container-default-1.0-0.1.a10.1jpp.1.src.rpm

(In reply to comment #2)
> NO * license text included in package and marked with %doc

It's unfortunately not included so this must be ignored.

> NO * rpmlint on <this package>.srpm gives no output
>  - justify warnings if you think they shouldn't be there
> 
> --
> $ rpmlint plexus-container-default-1.0-0.1.a10.1jpp.1.src.rpm 
> W: plexus-container-default invalid-license Apache Software License and MIT

It's actually both so I can't see any way around it.

> ?? * package successfully compiles and builds on at least x86
> NO * make sure lines are <= 80 characters
> 
> --
> line 6 in %install is too long
> --

Fixed.

> NO * use macros appropriately and consistently
>  - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS

I think that's fine.
Comment 5 Nuno Santos 2007-02-16 11:57:57 EST
All looks good, marking fedora-review+
Comment 6 Andrew Overholt 2007-02-16 15:40:21 EST
I uploaded the SRPM I built in mock.  Here are the final ones just for posterify:

http://overholt.ca/fedora/plexus-container-default.spec
http://overholt.ca/fedora/plexus-container-default-1.0-0.1.a10.1jpp.1.fc7.src.rpm
Comment 7 Matt Wringe 2007-03-02 17:52:40 EST
New Package CVS Request
=======================
Package Name: plexus-container-default
Short Description: Default Plexus Container
Owners: mwringe@redhat.com
Branches: 
InitialCC: 
Comment 8 Dennis Gilmore 2007-03-08 21:03:37 EST
Branched
Comment 9 Deepak Bhole 2007-03-09 16:09:59 EST
plexus-appserver does not build with the new container. I reverted it to 1.0 alpha8.

All of Andrew's changes have been preserved, except that the version was rolled
back. Please use this spec and srpm:

http://people.redhat.com/dbhole/fedora/plexus-container-default/plexus-container-default.spec
http://people.redhat.com/dbhole/fedora/plexus-container-default/plexus-container-default-1.0-0.1.a8.1jpp.1.fc7.src.rpm

Note You need to log in before you can comment on or make changes to this bug.